Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.tc
Class TagConstants

    java.lang.Object
      javafe.ast.GeneratedTags
          javafe.ast.OperatorTags
              javafe.ast.TagConstants
                  javafe.parser.TagConstants
                      javafe.tc.TagConstants

Direct Known Subclasses:
  GeneratedTags

public class TagConstants
extends TagConstants

Field Summary
`static int` | `LAST_TAG`
`static int` | `TYPESIG`

Fields inherited from class javafe.parser.TagConstants
`ABSTRACT, ASSERT, BOOLEAN, BREAK, BYTE, C_COMMENT, CASE, CATCH, CHAR, CLASS, COLON, COMMA, CONST, CONTINUE, DEFAULT, DO, DOUBLE, ELSE, EOF, EOL_COMMENT, EXTENDS, FALSE, FIELD, FINAL, FINALLY, FIRST_KEYWORD, FLOAT, FOR, GOTO, IF, IMPLEMENTS, IMPORT, INSTANCEOF, INT, INTERFACE, LAST_KEYWORD, LBRACE, LEXICALPRAGMA, LONG, LPAREN, LSQBRACKET, MAX_INT_PLUS_ONE, MAX_LONG_PLUS_ONE, MODIFIERPRAGMA, NATIVE, NEW, NULL, PACKAGE, POSTMODIFIERPRAGMA, PRIVATE, PROTECTED, PUBLIC, QUESTIONMARK, RBRACE, RETURN, RPAREN, RSQBRACKET, SEMICOLON, SHORT, STATIC, STMTPRAGMA, STRICT, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRUE, TRY, TYPEDECLELEMPRAGMA, TYPEMODIFIERPRAGMA, UNKNOWN_KEYWORD, VOID, VOLATILE, WHILE`

Fields inherited from class javafe.ast.TagConstants
`BOOLEANLIT, BOOLEANTYPE, BYTELIT, BYTETYPE, CHARLIT, CHARTYPE, DOUBLELIT, DOUBLETYPE, ERRORTYPE, FLOATLIT, FLOATTYPE, IDENT, INTLIT, INTTYPE, LONGLIT, LONGTYPE, NULLLIT, NULLTYPE, SHORTLIT, SHORTTYPE, STRINGLIT, VOIDTYPE`

Fields inherited from class javafe.ast.OperatorTags
`ADD, AND, ASGADD, ASGBITAND, ASGBITOR, ASGBITXOR, ASGDIV, ASGLSHIFT, ASGMUL, ASGREM, ASGRSHIFT, ASGSUB, ASGURSHIFT, ASSIGN, BITAND, BITNOT, BITOR, BITXOR, DEC, DIV, EQ, FIRST_TAG, GE, GT, INC, LE, LSHIFT, LT, MOD, NE, NOT, OR, POSTFIXDEC, POSTFIXINC, RSHIFT, STAR, SUB, UNARYADD, UNARYSUB, URSHIFT`

Fields inherited from class javafe.ast.GeneratedTags
`AMBIGUOUSMETHODINVOCATION, AMBIGUOUSVARIABLEACCESS, ARRAYINIT, ARRAYREFEXPR, ARRAYTYPE, ASSERTSTMT, BLOCKSTMT, BREAKSTMT, CASTEXPR, CATCHCLAUSE, CLASSDECL, CLASSDECLSTMT, CLASSLITERAL, COMPILATIONUNIT, COMPOUNDNAME, CONDEXPR, CONSTRUCTORDECL, CONSTRUCTORINVOCATION, CONTINUESTMT, DOSTMT, EVALSTMT, EXPROBJECTDESIGNATOR, FIELDACCESS, FIELDDECL, FORMALPARADECL, FORSTMT, IFSTMT, INITBLOCK, INSTANCEOFEXPR, INTERFACEDECL, LABELSTMT, LOCALVARDECL, METHODDECL, METHODINVOCATION, NEWARRAYEXPR, NEWINSTANCEEXPR, ONDEMANDIMPORTDECL, PARENEXPR, RETURNSTMT, SIMPLENAME, SINGLETYPEIMPORTDECL, SKIPSTMT, SUPEROBJECTDESIGNATOR, SWITCHLABEL, SWITCHSTMT, SYNCHRONIZESTMT, THISEXPR, THROWSTMT, TRYCATCHSTMT, TRYFINALLYSTMT, TYPENAME, TYPEOBJECTDESIGNATOR, VARDECLSTMT, VARIABLEACCESS, WHILESTMT`

Constructor Summary
`TagConstants()`

Method Summary
`static java.lang.String` | `toString(int tag)`

Methods inherited from class javafe.parser.TagConstants
`zzzz`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPESIG

    public static final int TYPESIG

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

Constructor Detail

### TagConstants

    public TagConstants()

Method Detail

### toString

    public static java.lang.String toString(int tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage